# Copyright 2013-2021 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack import *


class PyEbrainsDrive(PythonPackage):
    """Python client interface for EBRAINS Collaboratory Seafile storage
    """

    homepage = "https://github.com/HumanBrainProject/ebrains-drive/blob/master/doc.md"
    pypi     = "ebrains-drive/ebrains-drive-0.4.0.tar.gz"
    git      = "https://github.com/HumanBrainProject/ebrains-drive.git"

    version('0.4.0', sha256='3bc4a68cf27501c7bd5dc861334a8d9ef478b68d4437a6087bcd8f9eab7e5225')

    depends_on('python@3.6.9:')
    depends_on('py-requests@2.26.0:',      type=('build', 'run'))