# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack.package import *


class PyEbrainsKgCore(PythonPackage):
    """A Python wrapper for the KG core API incl. token handling."""

    homepage = "https://github.com/HumanBrainProject/kg-core-sdks"
    pypi = "ebrains_kg_core/ebrains_kg_core-0.9.10.tar.gz"

    maintainers = ["ioannistsanaktsidis", "olinux"]

    version("0.9.10", sha256="5b7022379f06468fd827a8eb7bddf86a182af188abfd11c84a47bbe21c6f8b7b")

    depends_on("py-setuptools", type="build")

    depends_on("py-requests", type=("build", "run"))
    depends_on("py-pydantic", type=("build", "run"))
    depends_on("py-jinja2", type=("build", "run"))
